INN and md5

Ivan Shmakov oneingray at gmail.com
Wed Apr 16 16:16:48 UTC 2008


>>>>> Julien ÉLIE <julien at trigofacile.com> writes:

 > Hi, Seeing
 > <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476186>, it
 > appears that lib/md5.c cannot be used in a software which is
 > redistributed.

[...]

 > Should we change that library?  Do you know which other one we
 > should take?

	Take a look at Gnulib [1], it has an MD5 module [2] (if you
	don't mind using code under LGPL.)

 > I see that it has been heavily modified from the original
 > implementation.

 > If we change it, should it be put in INN 2.4.4 too?

[1] http://www.gnu.org/software/gnulib/
[2] http://www.gnu.org/software/gnulib/MODULES.html#module=crypto/md5



More information about the inn-workers mailing list